Chart-0.16: A library for generating 2D Charts and Plots

Safe Haskell | None

Graphics.Rendering.Chart.Plot.AreaSpots

Description

Area spots are a collection of unconnected filled circles, with x,y position, and an independent z value to be represented by the relative area of the spots.

Synopsis

- data AreaSpots z x y = AreaSpots {
  - area_spots_title_ :: String
  - area_spots_linethick_ :: Double
  - area_spots_linecolour_ :: AlphaColour Double
  - area_spots_fillcolour_ :: Colour Double
  - area_spots_opacity_ :: Double
  - area_spots_max_radius_ :: Double
  - area_spots_values_ :: [(x, y, z)]
  }
- defaultAreaSpots :: AreaSpots z x y
- area_spots_title :: forall z x y. T (AreaSpots z x y) String
- area_spots_linethick :: forall z x y. T (AreaSpots z x y) Double
- area_spots_linecolour :: forall z x y. T (AreaSpots z x y) (AlphaColour Double)
- area_spots_fillcolour :: forall z x y. T (AreaSpots z x y) (Colour Double)
- area_spots_max_radius :: forall z x y. T (AreaSpots z x y) Double
- area_spots_values :: forall z x y. T (AreaSpots z x y) [(x, y, z)]
- data AreaSpots4D z t x y = AreaSpots4D {
  - area_spots_4d_title_ :: String
  - area_spots_4d_linethick_ :: Double
  - area_spots_4d_palette_ :: [Colour Double]
  - area_spots_4d_opacity_ :: Double
  - area_spots_4d_max_radius_ :: Double
  - area_spots_4d_values_ :: [(x, y, z, t)]
  }
- defaultAreaSpots4D :: AreaSpots4D z t x y
- area_spots_4d_title :: forall z t x y. T (AreaSpots4D z t x y) String
- area_spots_4d_linethick :: forall z t x y. T (AreaSpots4D z t x y) Double
- area_spots_4d_palette :: forall z t x y. T (AreaSpots4D z t x y) [Colour Double]
- area_spots_4d_max_radius :: forall z t x y. T (AreaSpots4D z t x y) Double
- area_spots_4d_values :: forall z t x y. T (AreaSpots4D z t x y) [(x, y, z, t)]

# Documentation

data AreaSpots z x y Source

A collection of unconnected spots, with x,y position, and an independent z value to be represented by the area of the spot.

Constructors

AreaSpots |

Fields

area_spots_title_ :: String
area_spots_linethick_ :: Double
area_spots_linecolour_ :: AlphaColour Double
area_spots_fillcolour_ :: Colour Double
area_spots_opacity_ :: Double
area_spots_max_radius_ :: Double

  the largest size of spot

area_spots_values_ :: [(x, y, z)]

Instances

PlotValue z => ToPlot (AreaSpots z) |

defaultAreaSpots :: AreaSpots z x ySource

area_spots_title :: forall z x y. T (AreaSpots z x y) String Source

area_spots_linethick :: forall z x y. T (AreaSpots z x y) Double Source

area_spots_linecolour :: forall z x y. T (AreaSpots z x y) (AlphaColour Double)Source

area_spots_fillcolour :: forall z x y. T (AreaSpots z x y) (Colour Double)Source

area_spots_max_radius :: forall z x y. T (AreaSpots z x y) Double Source

area_spots_values :: forall z x y. T (AreaSpots z x y) [(x, y, z)]Source

data AreaSpots4D z t x y Source

A collection of unconnected spots, with x,y position, an independent z value to be represented by the area of the spot, and in addition, a fourth variable t to be represented by a colour from a given palette. (A linear transfer function from t to palette is assumed.)

Constructors

AreaSpots4D |

Fields

area_spots_4d_title_ :: String
area_spots_4d_linethick_ :: Double
area_spots_4d_palette_ :: [Colour Double]
area_spots_4d_opacity_ :: Double
area_spots_4d_max_radius_ :: Double

  the largest size of spot

area_spots_4d_values_ :: [(x, y, z, t)]

Instances

(PlotValue z, PlotValue t, Show t) => ToPlot (AreaSpots4D z t) |

defaultAreaSpots4D :: AreaSpots4D z t x ySource

area_spots_4d_title :: forall z t x y. T (AreaSpots4D z t x y) String Source

area_spots_4d_linethick :: forall z t x y. T (AreaSpots4D z t x y) Double Source

area_spots_4d_palette :: forall z t x y. T (AreaSpots4D z t x y) [Colour Double]Source

area_spots_4d_max_radius :: forall z t x y. T (AreaSpots4D z t x y) Double Source

area_spots_4d_values :: forall z t x y. T (AreaSpots4D z t x y) [(x, y, z, t)]Source